package com.tzld.piaoquan.api.service;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformAccount;
import com.tzld.piaoquan.api.model.param.AccessTokenParam;
import com.tzld.piaoquan.api.model.vo.AccessTokenVo;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;

public interface GhAccessTokenService {

    CommonResponse<AccessTokenVo> getAccessToken(AccessTokenParam param);

    boolean validateAccessToken(String accessToken);

    ContentPlatformAccount getAccountByAccessToken(String accessToken);

    ContentPlatformAccount getAccountBySecret(String secret);
}
